package com.jz.dmp.modules.controller.DataIntegration.bean;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 数据源类型(DmpSyncingDatasourceType)实体类
 *
 * @author Bellamy
 * @since 2020-12-21 18:39:06
 */
@ApiModel(value = "数据源类型返回对象", description = "数据源类型")
public class SyncingDatasourceTypeDto implements Serializable {
    
    private static final long serialVersionUID = 526021146272437267L;
    /**
     * 数据源类型ID
     */
    @ApiModelProperty(value = "数据源类型ID")
    private String datasourceTypeId;
    /**
     * 数据源名称
     */
    @ApiModelProperty(value = "数据源名称")
    private String datasourceTypeName;
    /**
     * 数据源分类
     */
    @ApiModelProperty(value = "数据源分类")
    private String datasourceCatecode;
    /**
     * 数据源分类
     */
    @ApiModelProperty(value = "数据源分类名称")
    private String datasourceCatename;
    /**
     * jdbcUrl
     */
    @ApiModelProperty(value = "jdbcUrl")
    private String jdbcUrl;
    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")
    private String password;
    /**
     * 账户
     */
    @ApiModelProperty(value = "账户")
    private String userName;

    @ApiModelProperty(value = "数据源描述")
    private String datasourceDesc;

    @ApiModelProperty(value = "数据源名称")
    private String datasourceName;

    @ApiModelProperty(value = "网络连接类型")
    private String networkConnectionType;
    /**
     * 数据源类型
     */
    @ApiModelProperty(value = "数据源分类输入框属性json")
    private JSONObject dbAttrs;

    public String getDatasourceCatecode() {
        return datasourceCatecode;
    }

    public void setDatasourceCatecode(String datasourceCatecode) {
        this.datasourceCatecode = datasourceCatecode;
    }

    public String getDatasourceCatename() {
        return datasourceCatename;
    }

    public void setDatasourceCatename(String datasourceCatename) {
        this.datasourceCatename = datasourceCatename;
    }

    public String getDatasourceTypeId() {
        return datasourceTypeId;
    }

    public void setDatasourceTypeId(String datasourceTypeId) {
        this.datasourceTypeId = datasourceTypeId;
    }

    public String getDatasourceTypeName() {
        return datasourceTypeName;
    }

    public void setDatasourceTypeName(String datasourceTypeName) {
        this.datasourceTypeName = datasourceTypeName;
    }

    public JSONObject getDbAttrs() {
        return dbAttrs;
    }

    public void setDbAttrs(JSONObject dbAttrs) {
        this.dbAttrs = dbAttrs;
    }

    public String getJdbcUrl() {
        return jdbcUrl;
    }

    public void setJdbcUrl(String jdbcUrl) {
        this.jdbcUrl = jdbcUrl;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDatasourceDesc() {
        return datasourceDesc;
    }

    public void setDatasourceDesc(String datasourceDesc) {
        this.datasourceDesc = datasourceDesc;
    }

    public String getDatasourceName() {
        return datasourceName;
    }

    public void setDatasourceName(String datasourceName) {
        this.datasourceName = datasourceName;
    }

    public String getNetworkConnectionType() {
        return networkConnectionType;
    }

    public void setNetworkConnectionType(String networkConnectionType) {
        this.networkConnectionType = networkConnectionType;
    }
}